Get orchestrator addresses
curl --request POST \
--url https://api.biconomy.io/v1/mee/orchestrator \
--header 'Content-Type: application/json' \
--data '
{
"ownerAddress": "0x0a7C906832544293a6018bA25280c7f7b0Bbf120",
"chains": [
1,
137,
10,
8453
]
}
'import requests
url = "https://api.biconomy.io/v1/mee/orchestrator"
payload = {
"ownerAddress": "0x0a7C906832544293a6018bA25280c7f7b0Bbf120",
"chains": [1, 137, 10, 8453]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
ownerAddress: '0x0a7C906832544293a6018bA25280c7f7b0Bbf120',
chains: [1, 137, 10, 8453]
})
};
fetch('https://api.biconomy.io/v1/mee/orchestrator', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"address": "0x4b19129EA58431A06D01054f69AcAe5de50633b6",
"chains": [
"1",
"10"
]
},
{
"address": "0xD5Fe79C09CDF3D279cD87B5CAdC77517D65274ca",
"chains": [
"137"
]
}
]{
"code": "<string>",
"message": "<string>",
"errors": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>",
"errors": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
]
}mee
Get orchestrator addresses
Get orchestrator addresses for the specified owner on requested chains
POST
/
v1
/
mee
/
orchestrator
Get orchestrator addresses
Body
application/json
Body
Request schema for getting orchestrator addresses on specified chains
EOA wallet address which is used as owner of the orchestrator account
Example:
"0x0a7C906832544293a6018bA25280c7f7b0Bbf120"
List of unique chain IDs where orchestrator addresses are needed
Minimum array length:
1Chain ID where orchestrator address is needed
Example:
[1, 137, 10, 8453]
Response
Response schema containing orchestrator addresses grouped by chains
Example:
[
{
"address": "0x4b19129EA58431A06D01054f69AcAe5de50633b6",
"chains": ["1", "10"]
},
{
"address": "0xD5Fe79C09CDF3D279cD87B5CAdC77517D65274ca",
"chains": ["137"]
}
]
⌘I